# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

```
## [0.0.1] - 2018-12-10 
### Added 
- Added this file and this text

### Changed
### Deprecated
### Removed 
### Fixed
### Security
```

## [Unreleased]

## [0.4.0] - 2019-02-11
### Changed
- Updated Carbon to v 2.11
- Update Tightenco Collection to v 5.7.25

## [0.3.3] - 2019-01-31
### Fixed
- Make sure to follow type-hinting in CollectionDB

## [0.3.2] - 2019-01-25
### Removed
- Removed unnecessary files from getting added to composer package.
- Such as composer.lock, package-json.lock & gulpfile.js

## [0.3.1] - 2019-01-10
### Fixed
- `Format` now using `strict_types=1`
- Fixed bug where `Format::formatNumberToImengineFloat` wasn't formatting values of `1` correctly

## [0.3.0] - 2019-01-08
### Added 
- `Format` with the `formatNumberToImengineFloat` method
### Changed
- Renamed local variables to match code syntax

## [0.2.0] - 2018-12-19
### Changed 
- Fix license

## [0.1.1] - 2018-12-19
### Fixed
- Make sure not to reset timezone on original object when formatting a date to OC string

## [0.1.0] - 2018-12-18
Alpha
### Added 
- Added this file and boilerplate and markup example for the future
